Skip to navigation

Export settled transactions for paypoint

Deprecated
View as MarkdownOpen in Claude

This endpoint is deprecated. To export this data, use List settled transactions for paypoint with the exportFormat query parameter instead.

Export a list of settled transactions for an entrypoint. Use filters to limit results.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

OR
requestTokenstring

Long-lived API token sent in the requestToken header. See API token authentication.

Path parameters

entrystringRequired

The paypoint’s entrypoint identifier. Learn more

formatenumRequired
Format for the export, either XLSX or CSV.
Allowed values:

Query parameters

columnsExportstringOptional
fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 25000
The number of records to return for the query. The maximum is 30,000 records. When this parameter isn't sent, the API returns up to 25,000 records.
parametersmap from strings to nullable stringsOptional

Collection of field names, conditions, and values used to filter the query

You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.

Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client, for example:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

should become:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20

See Filters and Conditions Reference for help.

Accepted field names:

  • settlementDate (gt, ge, lt, le, eq, ne)
  • transId (ne, eq, ct, nct)
  • gatewayTransId (ne, eq, ct, nct)
  • method (in, nin, eq, ne)
  • settledAmount (gt, ge, lt, le, eq, ne)
  • operation (in, nin, eq, ne)
  • source (in, nin, eq, ne)
  • batchNumber (ct, nct, eq, ne)
  • payaccountLastfour (nct, ct)
  • payaccountType (ne, eq, in, nin)
  • customerFirstname (ct, nct, eq, ne)
  • customerLastname (ct, nct, eq, ne)
  • customerName (ct, nct)
  • customerId (eq, ne)
  • customerNumber (ct, nct, eq, ne)
  • customerCompanyname (ct, nct, eq, ne)
  • customerAddress (ct, nct, eq, ne)
  • customerCity (ct, nct, eq, ne)
  • customerZip (ct, nct, eq, ne)
  • customerState (ct, nct, eq, ne)
  • customerCountry (ct, nct, eq, ne)
  • customerPhone (ct, nct, eq, ne)
  • customerEmail (ct, nct, eq, ne)
  • customerShippingAddress (ct, nct, eq, ne)
  • customerShippingCity (ct, nct, eq, ne)
  • customerShippingZip (ct, nct, eq, ne)
  • customerShippingState (ct, nct, eq, ne)
  • customerShippingCountry (ct, nct, eq, ne)
  • orgId (eq) mandatory when entry=org
  • paypointId (ne, eq)
  • paypointLegal (ne, eq, ct, nct)
  • paypointDba (ne, eq, ct, nct)
  • orgName (ne, eq, ct, nct)
  • additional-xxx (ne, eq, ct, nct) where xxx is the additional field name

Accepted comparison operators - enclosed between parentheses:

  • eq or empty => equal
  • gt => greater than
  • ge => greater or equal
  • lt => less than
  • le => less or equal
  • ne => not equal
  • ct => contains
  • nct => not contains
  • in => inside array separated by ”|”
  • nin => not inside array separated by ”|”

Accepted parameters:

  • limitRecord: max number of records for query (default=“20”, “0” or negative value for all)
  • fromRecord: initial record in query

Example: settledAmount(gt)=20 returns all records with a settledAmount greater than 20.00

Response

Success

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error